
import java_cup.runtime.*;


%%

%public
%class lexer
%cup
%cupdebug
%line
%column

%unicode


%eofval{
  return new Symbol(sym.EOF, yyline, yycolumn);
%eofval}

WHITESPACE = [ \t\f\r\n]
DIGIT = [0-9]
IDENT = [a-z]

%%

":=" { return new Symbol(sym.ASSIGN, yytext()); }
"print" { return new Symbol(sym.PRINT, yytext()); }
";" { return new Symbol(sym.SEMI, yytext()); }

"+"	{ return new Symbol(sym.PLUS, yytext()); }
"-"	{ return new Symbol(sym.MINUS, yytext()); }
"*"	{ return new Symbol(sym.TIMES, yytext()); }
"/"	{ return new Symbol(sym.DIVIDE, yytext()); }
"("	{ return new Symbol(sym.LPAREN, yytext()); }
")"	{ return new Symbol(sym.RPAREN, yytext()); }

{WHITESPACE}	{ }
{DIGIT}+	{ return new Symbol(sym.NUMBER, yytext()); }
{IDENT}		{ return new Symbol(sym.IDENT, yytext()); }
